diff --git a/src/backend/replication/pgoutput/pgoutput.c b/src/backend/replication/pgoutput/pgoutput.c
index 25a9507..e160173 100644
--- a/src/backend/replication/pgoutput/pgoutput.c
+++ b/src/backend/replication/pgoutput/pgoutput.c
@@ -398,7 +398,9 @@ parse_output_parameters(List *options, PGOutputData *data)
 						errmsg("unrecognized origin value: \"%s\"", origin));
 		}
 		else
-			elog(ERROR, "unrecognized pgoutput option: %s", defel->defname);
+			ereport(ERROR,
+					errcode(ERRCODE_INVALID_PARAMETER_VALUE),
+					errmsg("unrecognized pgoutput option: %s", defel->defname));
 	}
 
 	/* Check required options */
